//====================================================//
// Reallite HLGuard Anti-Cheats Config file           //
// Создал: DJ_WEST                                    //
// Copyright (C) Reallite Labs, 2002-2007             //
// Версия: 1.9                                        //
// Сайт: http://reallite.cs2.ru                       //
//====================================================//

//====================================================//
// Запуск глобальной проверки (не выключать)          //
//====================================================//
hlg_check "running_not_found:Running not found" "r"

//====================================================//
// Закрытие бага в Counter-Strike 1.6 - buyequip      //
//====================================================//
// Насчет закрытия бага Сounter-Strike 1.6 с телепортацией (через команду buyequip) 
// хотелось бы сказать, что мы старались сделать, чтобы всем известная закупка снаряжения 
// через команду buyequip все-таки работала. Было замечено, что у игроков с большим пингом, 
// покупка через buyequip глючила. Поэтому лучше будет, если игроки будут закупаться через 
// всем известную команду buy. Или пусть напишут bind в консоли для прошлой кнопки покупки 
// снаряжения - bind "X" "buy; wait; wait; wait; menuselect 8", где X - любая кнопка.
// Чтобы отключить/включить блокировку, просто закомментируйте/раскомментируйте // строчку ниже.
// hlg_action "r:not found" "hlg_clexec #%u \'alias buyequip \\'menuselect 5; wait; buy; wait; wait; wait; menuselect 8\\'\'"

//====================================================//
// Закрытие бага в Counter-Strike 1.6 - fullupdate    //
//====================================================//
// Чтобы отключить/включить блокировку, просто закомментируйте/раскомментируйте // строчку ниже.
hlg_blockcommand "fullupdate"

//====================================================//
// Удаление игрока c коротким ником с сервера         //
// Если ник состоит из 1-2 символов                   //
//====================================================//
//hlg_check "%n:?:Too short nick" "pk" 
//hlg_check "%n:??:Too short nick" "pk"

//====================================================//
// Блокировка значений некоторых клиентских команд    //
//====================================================//
// Блокировка Lambert + ShinyWalls
hlg_conncommand "r_detailtextures 0;alias r_detailtextures"

// Блокировка WhiteWalls + CartoonWalls
hlg_conncommand "gl_max_size 256;alias gl_max_size"

// Блокировка No Smoke
hlg_conncommand "d_spriteskip 0;alias d_spriteskip"

// Блокировка вывода координат и название файлов звуков
hlg_conncommand "s_show 0;alias s_show"